Bug 122612 - New port: www/mod_wsgi Python WSGI adapter module for Apache
Summary: New port: www/mod_wsgi Python WSGI adapter module for Apache
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-04-10 02:00 UTC by Douglas Thrift
Modified: 2008-06-21 00:20 UTC (History)
0 users

See Also:


Attachments
mod_wsgi.shar (2.14 KB, text/plain)
2008-04-10 02:00 UTC, Douglas Thrift
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas Thrift 2008-04-10 02:00:01 UTC
The mod_wsgi adapter is an Apache module that provides a WSGI compliant
interface for hosting Python based web applications within Apache. The
adapter is written completely in C code against the Apache C runtime and
for hosting WSGI applications within Apache has a lower overhead than using
existing WSGI adapters for mod_python or CGI.
Comment 1 dfilter service freebsd_committer 2008-06-21 00:12:24 UTC
miwi        2008-06-20 23:12:20 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/mod_wsgi         Makefile distinfo pkg-descr pkg-message 
                         pkg-plist 
  Log:
  The mod_wsgi adapter is an Apache module that provides a WSGI compliant
  interface for hosting Python based web applications within Apache. The
  adapter is written completely in C code against the Apache C runtime and
  for hosting WSGI applications within Apache has a lower overhead than using
  existing WSGI adapters for mod_python or CGI.
  
  WWW: http://www.modwsgi.org/
  
  PR:             ports/122612
  Submitted by:   Douglas Thrift
  
  Revision  Changes    Path
  1.2073    +1 -0      ports/www/Makefile
  1.1       +28 -0     ports/www/mod_wsgi/Makefile (new)
  1.1       +3 -0      ports/www/mod_wsgi/distinfo (new)
  1.1       +7 -0      ports/www/mod_wsgi/pkg-descr (new)
  1.1       +5 -0      ports/www/mod_wsgi/pkg-message (new)
  1.1       +5 -0      ports/www/mod_wsgi/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 2 Martin Wilke freebsd_committer 2008-06-21 00:13:54 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!